be.cin.mycarenet.esb.common.v2

## Class IdType

- java.lang.Object
- - be.cin.mycarenet.esb.common.v2.SelfRefType
  - - be.cin.mycarenet.esb.common.v2.AbstractIdType
    - - be.cin.mycarenet.esb.common.v2.IdType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:13:05+01:00",
                 comments="JAXB RI v2.3.7")
      public class IdType
      extends AbstractIdType
      implements Serializable

  Enities that have a unique identification have this type. This identification is always issued by an authority. Only one of the child elements is required, the others are prohibited.

       <?xml version="1.0" encoding="UTF-8"?><br xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema"/>

  In other words, this is actualy a xsd-choise, but this does not always translate so well in code. Therefore we decided to make it an sequence with all optional elements.

  Java class for IdType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IdType">
         <complexContent>
           <extension base="{urn:be:cin:mycarenet:esb:common:v2}AbstractIdType">
             <sequence>
               <element name="Nihii" type="{urn:be:cin:mycarenet:esb:common:v2}NihiiType" minOccurs="0"/>
               <element name="Ssin" type="{urn:be:cin:mycarenet:esb:common:v2}ValueRefString" minOccurs="0"/>
               <element name="Cbe" type="{urn:be:cin:mycarenet:esb:common:v2}ValueRefString" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueRefString` | `getCbe()` Gets the value of the cbe property.
    `NihiiType` | `getNihii()` Gets the value of the nihii property.
    `ValueRefString` | `getSsin()` Gets the value of the ssin property.
    `void` | `setCbe(ValueRefString value)` Sets the value of the cbe property.
    `void` | `setNihii(NihiiType value)` Sets the value of the nihii property.
    `void` | `setSsin(ValueRefString value)` Sets the value of the ssin property.

    - ### Methods inherited from class be.cin.mycarenet.esb.common.v2.AbstractIdType

      `getName, setName`

    - ### Methods inherited from class be.cin.mycarenet.esb.common.v2.SelfRefType

      `getId, getRef, setId, setRef`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdType

          public IdType()

  - ### Method Detail

    - #### getNihii

          public NihiiType getNihii()

      Gets the value of the nihii property.
      Returns:
        possible object is `NihiiType`

    - #### setNihii

          public void setNihii(NihiiType value)

      Sets the value of the nihii property.
      Parameters:
        `value` - allowed object is `NihiiType`

    - #### getSsin

          public ValueRefString getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `ValueRefString`

    - #### setSsin

          public void setSsin(ValueRefString value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `ValueRefString`

    - #### getCbe

          public ValueRefString getCbe()

      Gets the value of the cbe property.
      Returns:
        possible object is `ValueRefString`

    - #### setCbe

          public void setCbe(ValueRefString value)

      Sets the value of the cbe property.
      Parameters:
        `value` - allowed object is `ValueRefString`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.